Skip to main content
aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorVincent Lorenzo2020-07-15 03:40:50 -0400
committerQuentin Le Menez2020-11-09 03:37:35 -0500
commitcbc2667bb24b2c8e946afeedc904ba3bf718434a (patch)
treee83615bd87a700b068411914f217887e216ce9ef /plugins/facet/org.eclipse.papyrus.emf.facet.util.pde.core/META-INF/MANIFEST.MF
parente3b8ccf5f618d96996a9f1b7f64d9a4367861423 (diff)
downloadorg.eclipse.papyrus-cbc2667bb24b2c8e946afeedc904ba3bf718434a.tar.gz
org.eclipse.papyrus-cbc2667bb24b2c8e946afeedc904ba3bf718434a.tar.xz
org.eclipse.papyrus-cbc2667bb24b2c8e946afeedc904ba3bf718434a.zip
Bug 565020: Remove all reexported dependencies
- update pom version - update manifest project version - remove all re-export - add all missing required dependencies (with developped tooling + add many others required handly) - remove the optional attribute (and maybe others) - update target platform - fix 2 features verify manually: - infra.architecture - infra.constraints - infra.core - infra.emf.expression - infra.emf - facet.editor - facet make in ignore org.eclipse.papyrus.uml.decoratormodel.internal.resource.tests.DecoratorModelIndexTest.decoratorModelsForPackage_none() Change-Id: Id83401c9c46ab360214407572c4d5bd35cb8c03e Signed-off-by: Vincent Lorenzo <vincent.lorenzo@cea.fr>
Diffstat (limited to 'plugins/facet/org.eclipse.papyrus.emf.facet.util.pde.core/META-INF/MANIFEST.MF')
-rw-r--r--plugins/facet/org.eclipse.papyrus.emf.facet.util.pde.core/META-INF/MANIFEST.MF13
1 files changed, 7 insertions, 6 deletions
diff --git a/plugins/facet/org.eclipse.papyrus.emf.facet.util.pde.core/META-INF/MANIFEST.MF b/plugins/facet/org.eclipse.papyrus.emf.facet.util.pde.core/META-INF/MANIFEST.MF
index d4d85716a4b..5a984a9f3ac 100644
--- a/plugins/facet/org.eclipse.papyrus.emf.facet.util.pde.core/META-INF/MANIFEST.MF
+++ b/plugins/facet/org.eclipse.papyrus.emf.facet.util.pde.core/META-INF/MANIFEST.MF
@@ -1,14 +1,15 @@
Manifest-Version: 1.0
Export-Package: org.eclipse.papyrus.emf.facet.util.pde.core.internal.exported,
org.eclipse.papyrus.emf.facet.util.pde.core.internal.exported.exception
-Require-Bundle: org.eclipse.core.runtime;bundle-version="[3.12.0,4.0.0)",
- org.eclipse.pde.core;bundle-version="[3.11.0,4.0.0)";visibility:=reexport,
- org.eclipse.papyrus.emf.facet.util.core;bundle-version="[1.2.0,2.0.0)";visibility:=reexport,
- org.eclipse.jdt.core;bundle-version="[3.12.0,4.0.0)",
- com.ibm.icu;bundle-version="54.0.0"
+Require-Bundle: com.ibm.icu,
+ org.eclipse.core.resources;bundle-version="[3.13.0,4.0.0)",
+ org.eclipse.core.runtime;bundle-version="[3.18.0,4.0.0)",
+ org.eclipse.jdt.core;bundle-version="[3.22.0,4.0.0)",
+ org.eclipse.papyrus.emf.facet.util.core;bundle-version="[2.0.0,3.0.0)",
+ org.eclipse.pde.core;bundle-version="[3.13.0,4.0.0)"
Bundle-Vendor: Eclipse Modeling Project
Bundle-ActivationPolicy: lazy
-Bundle-Version: 1.2.0.qualifier
+Bundle-Version: 2.0.0.qualifier
Bundle-Name: Papyrus EMF Facet PDE Core Utils
Bundle-Activator: org.eclipse.papyrus.emf.facet.util.pde.core.internal.Activator
Bundle-ManifestVersion: 2

Back to the top